# $Revision: 1.22 $, $Date: 2002/07/17 17:15:35 $
Summary:	Treat files on remote systems the same as local files
Summary(pl):	Traktowanie plikw na zdalnych systemach jako lokalne
Name:		xemacs-efs-pkg
%define 	srcname	efs
Version:	1.29
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
Requires:	xemacs-vm-pkg
Requires:	xemacs-dired-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EFS is a system for transparent file-transfer between remote VMS, CMS,
MTS, MVS, Twenex, Explorer (the last two are Lisp machines), TOPS-20,
DOS (running the Distinct, Novell, FTP software, NCSA, Microsoft in
both unix and DOS mode, Super TCP, and Hellsoft FTP servers), Windows
NT (running the Microsoft or Hummingbird ftp servers), Unix
descriptive listings (dl), KA9Q, OS/2 hosts using FTP. This means that
you can edit, copy and otherwise manipulate files on any machine you
have access to from within Emacs as if it were a local file. EFS works
by introducing an extended filename syntax, and overloading functions
such as `insert-file-contents' so that accessing a remote file causes
appropriate commands to be sent to an FTP process. EFS includes and
enhanced version of Dired to facilitate directory browsing and
multiple file transfer from remote hosts.

%description -l pl
EFS jest systemem przezroczystego transferu plikw pomidzy zdalnym
VMS, CMS, MTS, MVS, Twenex, Explorer (przynajmniej dwa s maszynami
lispowymi), TOPS-20, DOS (z dziaajcym Distinct, Novell, FTP, NCSA,
Microsoft w trybie Unix lub DOS, Super TCP, Hellsoft FTP), Windows NT
(z serwerem FTP Microsoftu lub Hummingbird), Unix descriptive listings
(dl), KA9Q, OS/2 z uyciem FTP. To znaczy, e moesz modyfikowa,
kopiowa i w inny sposb manipulowa plikami na dowolnej maszynie do
ktrej masz dostp ze swojego Emacsa tak, jakby byy to lokalne pliki.
EFS dziaa przez rozszerzon skadni nazw plikw i przecienie
funkcji typu "insert-file-contents" , wic dostp do pliku zdalnego
powoduje wysanie odpowiednich komend do procesu FTP. EFS zawiera
rozszerzon wersj Dired, aby uatwi przegldanie katalogw i
ciganie wielu plikw ze zdalnych maszyn.

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/efs; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc lisp/efs/ChangeLog
%{_infodir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-efs-pkg.spec,v $
Revision 1.22  2002/07/17 17:15:35  kloczek
- updated to 1.29 and use new %doc.

Revision 1.21  2002/04/18 14:06:38  wiget
updated to 1.28

Revision 1.20  2002/04/14 12:26:57  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.19  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/17 14:29:15  kloczek
- updated to 1.27.

Revision 1.16  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/11 11:34:02  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.14  2001/09/11 11:37:19  mis
- added description, STB

Revision 1.13  2001/08/02 08:35:16  mis
- autoupdated to 1.26

Revision 1.12  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/02/13 18:08:45  mis
- updated to 1.22

Revision 1.9  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:35:12  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
